from kickinstallclass import BaseInstallClass
import rhpl
from constants import *
from flags import flags
import os
import iutil
import types
import rpmUtils.arch

import logging
log = logging.getLogger("anaconda")


class InstallClass(BaseInstallClass):
    # name has underscore used for mnemonics, strip if you dont need it
    id = "fermi-generic-kickstart"
    pixmap = "workstation.png"
    name = ("Fermi Generic Kickstart")
    description = ("Basis for Kickstart")
                     
    sortPriority = 1

    def _get_description(self):
        return _(self._description) %(productName,)
    description = property(_get_description)

    def setInstallData(self, anaconda):
	BaseInstallClass.setInstallData(self, anaconda)
	self.setTimezoneInfo( anaconda.id ,"America/Chicago",1)

        self.setFirewall( anaconda.id,  enable = 1, trusts = [], ports = "")

        self.setAuthentication( anaconda.id , "--useshadow  --enablemd5  --enablekrb5 ")

    def setGroupSelection(self, anaconda):
        BaseInstallClass.__init__(self, anaconda.backend)

	anaconda.backend.selectGroup("core")
        anaconda.backend.selectGroup("base")
        anaconda.backend.deselectPackage("nmap")

    def setSteps(self, dispatch):
	BaseInstallClass.setSteps(self, dispatch);
 	dispatch.skipStep("partition")
 	dispatch.skipStep("tasksel")
 	dispatch.skipStep("group-selection", skip = 0)
	dispatch.skipStep("confirminstall", skip = 1)

    def __init__(self, expert):
	BaseInstallClass.__init__(self, expert)
	#self.repopaths = { "base": "%s/RPMS" %(productPath,) }
        #self.repopaths["fermi"] = "%s/SITERPMS" %(productPath,)
        #self.repopaths["fermiupdates"] = "%s/updates/security" %(productPath,)
        #self.repopaths["workgroup"] = "%s/workgroups/FermiGenericDesktop" %(productPath,)
